<!--google Map -->


<div class="container">

  <h1>Chercher votre enplacement : </h1>

  <div class="form-group">
    <label>Entrer votre addresse</label>
    <input type="text" class="form-control" (keydown.enter)="$event.preventDefault()"
           placeholder="Search Nearest Location" autocorrect="off" autocapitalize="off" spellcheck="off" type="text"
           #search>
  </div>

  <agm-map [latitude]="latitude" [longitude]="longitude" >
    <agm-marker [latitude]="latitude" [longitude]="longitude" [markerDraggable]="true" *ngIf="test"
                (dragEnd)="markerDragEnd($event)">


      <agm-info-window>
        temp : {{temp}} C
        humidity : {{humidity}}
        temp_min : {{temp_min}}
        temp_max : {{temp_max}}

        <button class="btn-danger" (click)="delete()">delete</button>


      </agm-info-window>
    </agm-marker>


  </agm-map>

  <h5>Address: {{address}}</h5>
  <div>Latitude: {{latitude}}</div>
  <div>Longitude: {{longitude}}</div>
</div>
